package com.huiju.welcome.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.welcome.model.TaPerson;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-03-12
 */
@Mapper
public interface TaPersonMapper extends BaseMapper<TaPerson> {
    boolean updatePersonAvatar(TaPerson taPerson);
	Map<String, String> getDetailInfo(@Param("personId") Integer personId, @Param("deviceId") String deviceId);
	List<Map<String, String>> statsPerson();
	IPage<TaPerson> getRealPersonList(
			Page<TaPerson> page,
			@Param("personId") Integer personId,
			@Param("typeId") Integer typeId,
			@Param("name") String name,
			@Param("phone") String phone,
			@Param("beginDate") String beginDate,
			@Param("endDate") String endDate
	);
}
