package com.huiju.welcome.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.mapper.TaFollowupRecordMapper;
import com.huiju.welcome.model.TaFollowupRecord;
import com.huiju.welcome.service.ITaFollowupRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-03-12
 */
@Service
public class TaFollowupRecordServiceImpl extends ServiceImpl<TaFollowupRecordMapper, TaFollowupRecord> implements ITaFollowupRecordService {
    @Autowired
    TaFollowupRecordMapper taFollowupRecordMapper;

    @Override
    public List<TaFollowupRecord> getByMainRecord(Integer recId) {
        QueryWrapper<TaFollowupRecord> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("rec_id", recId);

        return taFollowupRecordMapper.selectList(queryWrapper);
    }
}
